
//////////////////////////////////////////////////////////////
//
// Header file for ChatWindowMainWindow
//
//    This class is a ViewKit VkSimpleWindow subclass
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using the builder.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
// Doing so will allow you to make chnages using the builder
// without losing any changes you may have made manually
//
//////////////////////////////////////////////////////////////
#ifndef CHATWINDOWMAINWINDOW_H
#define CHATWINDOWMAINWINDOW_H
#include <Vk/VkSimpleWindow.h>

//---- Start editable code block: headers and declarations

#include "BV_Member.h"

//---- End editable code block: headers and declarations


//---- ChatWindowMainWindow class declaration

class ChatWindowMainWindow: public VkSimpleWindow { 

  public:

    ChatWindowMainWindow( const char * name, 
                          ArgList args = NULL,
                          Cardinal argCount = 0 );
    ~ChatWindowMainWindow();
    const char *className();
    virtual Boolean okToQuit();

    //---- Start editable code block: ChatWindowMainWindow public

    void chatMessage(BV_Member *mbr, int tag, char *data, int size);

    //---- End editable code block: ChatWindowMainWindow public


  protected:



    // Classes created by this class

    class ChatRowcol *_chatRowcol;


    //---- Start editable code block: ChatWindowMainWindow protected


    //---- End editable code block: ChatWindowMainWindow protected


  private:


    static String      _defaultChatWindowMainWindowResources[];

    //---- Start editable code block: ChatWindowMainWindow private


    //---- End editable code block: ChatWindowMainWindow private


};
#endif
